﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadRotatorWithHashCode.aspx.cs" Inherits="RadRotatorWithHashCode" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
		<style type="text/css">
			.rrButton
			{
				display: none !important;
			}
			.rrClipRegion
			{
				border-width: 0 !important;
			}
		</style>
			<script type="text/javascript">
				window.onload = function ()
				{
					initializeStateFromURL();
				}
  
				window.onhashchange = function ()
				{
					initializeStateFromURL();
				}
  
				function initializeStateFromURL()
				{
					if (!stateHandled)
					{
						var navSetting = window.location.hash;
						var slide = FromHash("slide", navSetting);
						if (slide)
						{
							SetRotatorToSlideID(slide);
						}

						stateHandled = true;
					}
				}
  
				var stateHandled = false;
  
				function SetRotatorToSlideID(slideID)
				{
					var rotator = $find("<%= theRotator.ClientID %>");
					var items = rotator.get_items();
					for (i in items)
					{
						if (slideID == GetAttributeValue(items[i], "SlideID"))
						{
							rotator.set_currentItemIndex(items[i].get_index(), true);
							UpdateGUI(items[i]);
						}
					}
				}
  
				function RotatorClientItemShowing(sender, args)
				{
					stateHandled = true;
					UpdateGUI(args.get_item());
				}
				function RotatorClientItemShown(sender, args)
				{
					stateHandled = false;
				}
  
				function RotatorClientItemClicked(sender, args)
				{
					sender.set_currentItemIndex(args.get_item().get_index(), true);
				}
  
				function UpdateGUI(item)
				{
					setHash(GetAttributeValue(item, "SlideID"));
				}

				function GetAttributeValue(item, name)
				{
					return $telerik.$(item.get_element()).find("img").attr(name);
				}
				function FromHash()
				{
					return window.location.hash.substring(1);
				}
				function setHash(value)
				{
					window.location.hash = value;
				}
			</script>
			<telerik:RadScriptManager ID="theScriptManager" runat="server" />
			<telerik:RadRotator ID="theRotator" runat="server" Width="900" ItemWidth="300" Height="220" ItemHeight="220" RotatorType="CoverFlowButtons" OnClientItemClicked="RotatorClientItemClicked" OnClientItemShowing="RotatorClientItemShowing" OnClientItemShown="RotatorClientItemShown">
				<ItemTemplate>
					
					<asp:Image ID="Image1" runat="server" SlideID='<%# Eval("id") %>' ImageUrl='<%# Eval("image") %>' AlternateText='<%# VirtualPathUtility.GetFileName(Eval("image").ToString()) %>' />
				</ItemTemplate>
			</telerik:RadRotator>
		</form>
	</body>
</html>
